Name:           drupal
Version:        5.6
Release:        %mkrel 1
Epoch:          0
Source0:        http://ftp.osuosl.org/pub/drupal/files/projects/drupal-%{version}.tar.gz
Source1:        http://ftp.osuosl.org/pub/drupal/files/projects/biblio-5.x-1.4.tar.gz
Source2:        http://ftp.osuosl.org/pub/drupal/files/projects/conference-5.x-1.x-dev.tar.gz
Summary:        Open source content management platform
URL:            http://www.drupal.org/
License:        GPLv2+
Group:          Networking/WWW
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       apache
Requires:       apache-mod_php
Requires:	php-xml
Requires:	php-mbstring
Requires(post): rpm-helper
Requires(postun): rpm-helper
BuildArch:      noarch

%description
Drupal is a free software package that allows an individual or a 
community of users to easily publish, manage and organize a wide variety 
of content on a website. Tens of thousands of people and organizations 
have used Drupal to power scores of different web sites, including

    * Community web portals
    * Discussion sites
    * Corporate web sites
    * Intranet applications
    * Personal web sites or blogs
    * Aficionado sites
    * E-commerce applications
    * Resource directories
    * Social Networking sites

%prep
%setup -q 

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_var}/www/drupal
%{__cp} -a * %{buildroot}%{_var}/www/drupal
%{__tar} xf %{SOURCE1} -C %{buildroot}%{_var}/www/drupal/modules
%{__tar} xf %{SOURCE2} -C %{buildroot}%{_var}/www/drupal/modules

%{__mkdir_p} %{buildroot}%{_sysconfdir}/drupal
%{__mv} %{buildroot}%{_var}/www/drupal/sites/default/settings.php \
  %{buildroot}%{_sysconfdir}/drupal/settings.php
(cd %{buildroot}%{_var}/www/drupal/sites/default && \
  %{__ln_s} %{_sysconfdir}/drupal/settings.php settings.php)

%{__rm} %{buildroot}%{_var}/www/drupal/*.txt

%{__cat} > %{buildroot}%{_sysconfdir}/drupal/robots.txt << EOF
User-agent: *
Disallow:   /
EOF
(cd %{buildroot}%{_var}/www/drupal && \
%{__ln_s} %{_sysconfdir}/drupal/robots.txt robots.txt)

%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__cat} > %{buildroot}%{_webappconfdir}/drupal.conf << EOF
Alias /drupal %{_var}/www/drupal

<Directory %{_var}/www/drupal>
    Options +FollowSymLinks
    AllowOverride All
    Order allow,deny
    Allow from all
</Directory>
EOF

%clean
%{__rm} -rf %{buildroot}

%post
%{_post_webapp}

%postun
%{_postun_webapp}

%files
%defattr(0644,root,root,0755)
%doc *.txt
%dir %{_var}/www/drupal
%{_var}/www/drupal/*.php
%{_var}/www/drupal/*.txt
%{_var}/www/drupal/includes
%{_var}/www/drupal/misc
%{_var}/www/drupal/modules
%{_var}/www/drupal/profiles
%dir %{_var}/www/drupal/scripts
%attr(0755,root,root) %{_var}/www/drupal/scripts/*
%{_var}/www/drupal/sites
%{_var}/www/drupal/themes
%attr(710,root,apache) %dir %{_sysconfdir}/drupal
%attr(660,root,apache) %config(noreplace) %{_sysconfdir}/drupal/settings.php
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/drupal/robots.txt
%config(noreplace) %{_webappconfdir}/drupal.conf


%changelog
* Fri Jan 11 2008 Funda Wang <fundawang@mandriva.org> 5.6-1mdv2007.0
+ Revision: 147909
- update to new version 5.6
- requires mbstring
- new license policy
- requires php-xml

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 0:5.5-1mdv2008.1
+ Revision: 116118
- update to new version 5.5

* Fri Oct 19 2007 Pascal Terjan <pterjan@mandriva.org> 0:5.3-1mdv2008.1
+ Revision: 100221
- update to new version 5.3

* Mon Aug 06 2007 Funda Wang <fundawang@mandriva.org> 0:5.2-1mdv2008.0
+ Revision: 59415
- New version 5.2


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 5.1-1mdv2007.1
+ Revision: 134958
- 5.1
- Import drupal

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 4.7.0-1mdk
- 4.7.0

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 4.4.0-2mdk
- rebuild (bug #9709)

* Fri Apr 16 2004 Daouda LO <daouda@mandrakesoft.com> 4.4.0-1mdk
- first mandrake package

